Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DescribeDBParametersRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.DescribeDBParametersRequest

    public class DescribeDBParametersRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeDBParameters operation`.

This API returns the detailed parameter list for a particular DBParameterGroup.

See Also:
  `AmazonRDS.describeDBParameters(DescribeDBParametersRequest)`

Constructor Summary
`DescribeDBParametersRequest()`

Method Summary
`String` | `getDBParameterGroupName()` The name of a specific database parameter group to return details for.
`String` | `getMarker()` An optional marker provided in the previous DescribeDBInstances request.
`Integer` | `getMaxRecords()` The maximum number of records to include in the response.
`String` | `getSource()` The parameter types to return.
`void` | `setDBParameterGroupName(String dBParameterGroupName)` The name of a specific database parameter group to return details for.
`void` | `setMarker(String marker)` An optional marker provided in the previous DescribeDBInstances request.
`void` | `setMaxRecords(Integer maxRecords)` The maximum number of records to include in the response.
`void` | `setSource(String source)` The parameter types to return.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeDBParametersRequest` | `withDBParameterGroupName(String dBParameterGroupName)` The name of a specific database parameter group to return details for.
`DescribeDBParametersRequest` | `withMarker(String marker)` An optional marker provided in the previous DescribeDBInstances request.
`DescribeDBParametersRequest` | `withMaxRecords(Integer maxRecords)` The maximum number of records to include in the response.
`DescribeDBParametersRequest` | `withSource(String source)` The parameter types to return.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeDBParametersRequest

    public DescribeDBParametersRequest()

Method Detail

### getDBParameterGroupName

    public String getDBParameterGroupName()

  The name of a specific database parameter group to return details for.

  Returns:
    The name of a specific database parameter group to return details for.

### setDBParameterGroupName

    public void setDBParameterGroupName(String dBParameterGroupName)

  The name of a specific database parameter group to return details for.

  Parameters:
    `dBParameterGroupName` - The name of a specific database parameter group to return details for.

### withDBParameterGroupName

    public DescribeDBParametersRequest withDBParameterGroupName(String dBParameterGroupName)

  The name of a specific database parameter group to return details for.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBParameterGroupName` - The name of a specific database parameter group to return details for.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSource

    public String getSource()

  The parameter types to return.

  Returns:
    The parameter types to return.

### setSource

    public void setSource(String source)

  The parameter types to return.

  Parameters:
    `source` - The parameter types to return.

### withSource

    public DescribeDBParametersRequest withSource(String source)

  The parameter types to return.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `source` - The parameter types to return.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMaxRecords

    public Integer getMaxRecords()

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Returns:
    The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

### setMaxRecords

    public void setMaxRecords(Integer maxRecords)

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Parameters:
    `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

### withMaxRecords

    public DescribeDBParametersRequest withMaxRecords(Integer maxRecords)

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMarker

    public String getMarker()

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Returns:
    An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

### setMarker

    public void setMarker(String marker)

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Parameters:
    `marker` - An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

### withMarker

    public DescribeDBParametersRequest withMarker(String marker)

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `marker` - An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.